<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Deiminaris</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->

        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>
        <!-- Capçalera -->

        <td align="left" valign="top" width="100%" class="centered">
          <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
          <img src="images/separador.gif"><br>
          <br>

          <div align="left">
            <blockquote>
            <h2>Seminaris [DEIMinaris]</h2>
              <!-- Començament del cos -->
        <?php require("../private/connect.inc");
              require ("../private/func-deiminaris.inc");
              $link=Conectar();
              $result=mysql_query("SELECT did,titol,data,hora,encarregat FROM deiminaris WHERE
              data>=curdate() ORDER BY data DESC", $link);
              $row = mysql_fetch_array($result);
              // Només visualitzar si n'hi ha nous
              if ($row["did"]!=null) {
                echo("<table border=\"0\" width=\"90%\" >");
                echo("<tr bgcolor=black><td><b>Data</b></td> <td><b>Hora</b></td>
                      <td><b>Titol</b></td> <td><b>Autor</b></td></tr>");
                do{
                  $dd = substr($row["data"], 8, 2);
                  $mm = substr($row["data"], 5, 2);
                  $yy = substr($row["data"], 0, 4);

                  // Guardem en $mes el nom corresponent
                  $mes = num2mes($mm);

                  $did = $row["did"];
                  if (($dd!=31)||($mm!=12)||($yy!=9999)){
                    echo("<tr><td align=\"left\"> <div align=\"left\">" . $dd . " " . $mes . " "
                    . $yy . "</td>");
                    echo("<td align=\"left\"> <div align=\"left\">" . $row["hora"] .
                                      "</td>");
                  } else {
                    echo("<tr><td align=\"left\"> <div align=\"left\">Sense
                    determinar</td><td></td>");
                  }
                  
                  printf("<td><b>&nbsp; %s</b></td>", htmlspecialchars($row["titol"]));
                  printf("<td>%s</td>", htmlspecialchars($row["encarregat"]));
                  echo("<td><form action=\"veure.php\" method=\"get\"><input
                        type=\"hidden\" name=\"did\" value=\"$did\">");
                  echo("<input type=\"image\" border=0 
                    src=\"images/veure.jpg\"></form></td></tr>");
                } while($row = mysql_fetch_array($result));
                echo "</table>";
              } else {
                echo "<i>No hi ha cap seminari nou programat.</i>";
              }
              mysql_free_result($result);
        ?>
              <br><br>
              <table border="0" align="center" width="35%" cellpadding="15">
              <tr><td bgcolor="#4F0000">
                <a href="historic.php">Històric d'antics seminaris</a><br><br>
                  <form action="cercar.php" method="GET">
                    Búsqueda per cicle: <br>
                    &nbsp;&nbsp;<i>Indicar només primer any (exemple: 2002)</i><br><br>
                    <table border="0">
                    <tr><td>
                    &nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="cicle" size="4"
                    maxlength="4"><br>
                    </td><td>
                    &nbsp;<input type="image" src="images/cercar.jpg" border=\"0\">
                    </td></tr>
                    </table>
                  </form>
              </td></tr>
              </table>
              <br><br>
              <center><font color="#FFFFFF" size="1"><i>
              Per proposar nous seminaris o qualsevol dubte<br>
              contacteu amb Miguel Angel García:<br>
              <a href="mailto:magarcia@etse.urv.es">magarcia@etse.urv.es</a></i></font>
              </center>
            </blockquote>
          </div>
        </td>
      </tr>
    </table>
  </body>
</html>

